com.strongloop.android.remoting.adapters

## Interface Adapter.Callback

All Known Implementing Classes:
  Adapter.JsonArrayCallback, Adapter.JsonCallback, Adapter.JsonObjectCallback, EmptyResponseParser, JsonArrayParser, JsonObjectParser

Enclosing class:
  Adapter

    public static interface Adapter.Callback

A callback that returns the HTTP response body.

### Method Summary

Methods
`void` `onError(java.lang.Throwable t)` The method invoked when an error occurs.
`void` `onSuccess(java.lang.String response)` The method invoked when the call completes successfully.

### Method Detail

#### onSuccess

    void onSuccess(java.lang.String response)

The method invoked when the call completes successfully.

Parameters:
  `response` - The HTTP response body.

#### onError

    void onError(java.lang.Throwable t)

The method invoked when an error occurs.

Parameters:
  `t` - The Throwable.